org.apache.kylin.jdbc

## Class KylinStatementImpl

- java.lang.Object
- - net.hydromatic.avatica.AvaticaStatement
  - - org.apache.kylin.jdbc.KylinStatementImpl

All Implemented Interfaces:
  AutoCloseable, Statement, Wrapper

Direct Known Subclasses:
  KylinJdbc41Factory.KylinJdbc41Statement

    public abstract class KylinStatementImpl
    extends net.hydromatic.avatica.AvaticaStatement

Kylin statement implementation

Author:
  xduo

### Field Summary

### Fields inherited from class net.hydromatic.avatica.AvaticaStatement

`closed, closeOnCompletion, connection, maxRowCount, openResultSet`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
`protected` `KylinStatementImpl(net.hydromatic.avatica.AvaticaConnection connection, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

Methods
`protected void` `close_()`

### Methods inherited from class net.hydromatic.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeInternal, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getParameterValues, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinStatementImpl

    protected KylinStatementImpl(net.hydromatic.avatica.AvaticaConnection connection,
                      int resultSetType,
                      int resultSetConcurrency,
                      int resultSetHoldability)

### Method Detail

#### close_

    protected void close_()

Overrides:
  `close_` in class `net.hydromatic.avatica.AvaticaStatement`